Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IImageServiceProvider

public interface IImageServiceProvider
IImageServiceProvider

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.graphics.Image`
`getEmbeddedImage(String fileName)`
get embedded image by file name
`List<String>`
`getEmbeddedImageName()`
get All available embedded image names in report
`String`
`getImageAbsoluteURL(org.eclipse.birt.chart.model.attribute.Image image)`
get design time image absolute URL
`org.eclipse.swt.graphics.Image`
`loadImage(String fileName)`
get resource image by file name
`String`
`saveImage(String fullPath, String fileName)`
save image to report

## Method Details

### getEmbeddedImageName

List<String> getEmbeddedImageName()
get All available embedded image names in report

Returns:
  list of image names

### saveImage

String saveImage(String fullPath, String fileName) throws org.eclipse.birt.chart.exception.ChartException
save image to report

Parameters:
  `fullPath` -
  `fileName` -
Returns:
  relative file name
Throws:
  `org.eclipse.birt.chart.exception.ChartException`

### getEmbeddedImage

org.eclipse.swt.graphics.Image getEmbeddedImage(String fileName)
get embedded image by file name

Parameters:
  `fileName` -
Returns:
  org.eclipse.swt.graphics.Image

### loadImage

org.eclipse.swt.graphics.Image loadImage(String fileName) throws org.eclipse.birt.chart.exception.ChartException
get resource image by file name

Parameters:
  `fileName` -
Returns:
  org.eclipse.swt.graphics.Image
Throws:
  `org.eclipse.birt.chart.exception.ChartException`

### getImageAbsoluteURL

String getImageAbsoluteURL(org.eclipse.birt.chart.model.attribute.Image image)
get design time image absolute URL

Parameters:
  `image` -
Returns:
  image URL